5.3.0-git
2014-09-01

[#6806] Ingo should activate script using default settings
Summary Ingo should activate script using default settings
Queue Ingo
Queue Version 1.2
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester amg1127 (at) cefetrs (dot) tche (dot) br
Created 2008-05-31 (2284 days ago)
Due
Updated 2008-06-29 (2255 days ago)
Assigned
Resolved
Milestone
Patch No

History
2008-06-29 09:36:13 aleksey (at) bb (dot) lv Comment #5 Reply to this comment
Hi,



I agree with amg1127. I think it is VERY useful future especially for 
free e-mail service providers.

Earlier I used Cyrus autocreate patch to automatically activate users 
default sieve script, but after migrate to Cyrus Mupdate Cluster it is 
not possible.

Please create patch as soon as you can.



Regards, Aleksey.
2008-06-26 16:46:41 amg1127 (at) cefetrs (dot) tche (dot) br Comment #4 Reply to this comment
Thank you for accepting my ticket.
2008-06-26 10:54:03 Jan Schneider State ⇒ Accepted
 
2008-06-01 21:12:42 amg1127 (at) cefetrs (dot) tche (dot) br Comment #3 Reply to this comment
I don't agree. I don't think it a good idea to enable any of the
special rules by default, filtering should only be enabled on the
user's request.
In my production environment, all new and existing users want spam to 
be filtered. I never heard users asking how to receive spam in their 
INBOX, but already heard users asking to stop receiving spam.



Several mail providers (Gmail, Windows Live, Terra) enable spam 
filtering by default. In my production environment, this filtering is 
also enabled, but without an option to disable or to change spam score 
yet, because it is a global filter. Users also can not indicate 
incorrectly detected messages to this filter.



With Ingo 1.2, I could configure SpamAssassin with user preferences, 
enable the IMP "Report Spam" and "Report Inoccent" links, and give to 
users all control over spam filtering. But I should enable this filter 
by default in new accounts - else, I will begin to hear a lot of users 
asking to stop receiving spam and I will need to teach that users 
about Ingo settings. Believe in me, some users in my production 
environment do not want to learn those "advanced topics in webmail 
service", they just want to use webmail and to not receive spam...



I am using GOsa (Gonicus System Administration) for account management 
and did not find an option to enable spam filtering at account 
creation time. Things can be worse - others administrators may prefer 
to add users directly in OpenLDAP directory, instead of using GOsa...



The best solution for me is to enable spam filtering within Ingo. IMAP 
and POP services are disabled, so users will have spam filtering 
enabled just in first usage.
2008-06-01 09:56:40 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
I don't agree. I don't think it a good idea to enable any of the 
special rules by default, filtering should only be enabled on the 
user's request.
2008-05-31 23:51:52 Chuck Hagenbuch Priority ⇒ 1. Low
State ⇒ Accepted
Type ⇒ Enhancement
 
2008-05-31 21:54:01 amg1127 (at) cefetrs (dot) tche (dot) br Comment #1
State ⇒ Unconfirmed
Patch ⇒ No
Milestone ⇒
Queue ⇒ Ingo
Summary ⇒ Ingo should activate script using default settings
Type ⇒ Bug
Priority ⇒ 1. Low
Reply to this comment
I have edited Ingo filter configurations in "prefs.php" and enabled 
Spam filter by default. I also enabled automatic script activation 
($_prefs['auto_update']).



But new users does not get default rules activated. Instead, they must 
go at filter rules and edit something.



Ingo should detect when it is the first user login and activate script 
using default settings.



Another good behavior is doing script activation unconditionally at 
login time...